com.dlsc.flexgantt.swing

## Interface IMultiGanttChartContainer<T extends AbstractGanttChart>

- Type Parameters:
    `T` - the type of Gantt charts stored in the container
  All Known Implementing Classes:
    MultiGanttChartContainer

      public interface IMultiGanttChartContainer<T extends AbstractGanttChart>

  An interface for containers that are capable of storing multiple Gantt charts at the same time. The user can switch between Gantt charts making it the selected Gantt chart. A typical example is a tabbed panel with several Gantt charts.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMultiGanttChartContainerListener(IMultiGanttChartContainerListener l)` Adds a listener to the container that will be informed about changes in the container.
    `T` | `getGanttChart(int index)` Returns the Gantt chart for the given index.
    `int` | `getGanttChartCount()` Returns the total number of Gantt charts managed by the container.
    `int` | `getGanttChartIndex(T gc)` Returns the index of the given Gantt chart.
    `T` | `getSelectedGanttChart()` Returns the currently selected Gantt chart.
    `void` | `removeMultiGanttChartContainerListener(IMultiGanttChartContainerListener l)` Removes a listener from the container.

- - ### Method Detail

    - #### getSelectedGanttChart

          T getSelectedGanttChart()

      Returns the currently selected Gantt chart.
      Returns:
        the selected Gantt chart
      Since:
        1.0

    - #### getGanttChartCount

          int getGanttChartCount()

      Returns the total number of Gantt charts managed by the container.
      Returns:
        the total number of Gantt charts in the container
      Since:
        1.0

    - #### getGanttChart

          T getGanttChart(int index)

      Returns the Gantt chart for the given index.
      Parameters:
        `index` - the index for which to return a Gantt chart
      Returns:
        the Gantt chart for the given index
      Since:
        1.0
      See Also:
        `getGanttChartCount()`

    - #### getGanttChartIndex

          int getGanttChartIndex(T gc)

      Returns the index of the given Gantt chart.
      Parameters:
        `gc` - the Gantt chart for which to return the index
      Returns:
        the index for the given Gantt chart
      Since:
        1.0

    - #### addMultiGanttChartContainerListener

          void addMultiGanttChartContainerListener(IMultiGanttChartContainerListener l)

      Adds a listener to the container that will be informed about changes in the container.
      Parameters:
        `l` - the listener that will be added to the container
      Since:
        1.0

    - #### removeMultiGanttChartContainerListener

          void removeMultiGanttChartContainerListener(IMultiGanttChartContainerListener l)

      Removes a listener from the container.
      Parameters:
        `l` - the listener to remove
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.